# Licensed Materials - Property of IBM
#   5698-B34  Copyright IBM Corp. 2009                          
#   All rights reserved.                                              
#                                                                  
#   US Government Users Restricted Rights - Use, duplication or       
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#
#    File: tivoli_eif/zOSEventSupport_copy.sh, OMNIbus, EventPump
#    SID: 1.5
#    Date Modified: 09/03/11 16:48:51
#
#    Change History:
#    YY/MM/DD            Description
#    09/03/11            New    
#   
#   This batch file will copy all files from the current directory to 
#   the $OMNIHOME/etc/EventPump directory.  

if [ "$OMNIHOME" != "" ] 
then 
  if [ -d "$OMNIHOME/etc/EventPump" ] 
  then 
    count=0
  else 
    mkdir "$OMNIHOME/etc/EventPump"
  fi  
  if [ -d "$OMNIHOME/etc/EventPump" ] 
  then 
    cp *.sh "$OMNIHOME/etc/EventPump"
    cp zos_files/*.sql "$OMNIHOME/etc/EventPump"
    cp zos_files/*.rules "$OMNIHOME/etc/EventPump"
    echo "Files copied" 
  else
    echo "The EventPump path does not exist"
  fi
else  
  echo "The environment variable OMNIHOME is not defined" 
fi   

